# == Class: resolvconf
#
class resolvconf (
  $domain          = $::domain,
  $search          = $domain,
  $nameserver      = [],
  $timeout         = '5',
  $attempts        = '2',
  $rotate          = true,
  $resolvconf_file = $resolvconf::params::resolvconf_file
  ) inherits resolvconf::params {
  file { $resolvconf_file:
    ensure  => present,
    path    => $resolvconf_file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('resolvconf/resolv.conf.erb'),
  }
}
# EOF
