# == Class: resolvconf::params
#
# This is a container class holding default parameters for resolvconf module.
#
class resolvconf::params {
  case $::operatingsystem {
    /(CentOS|Debian|Fedora|RedHat|Ubuntu)/ : {
      $resolvconf_file = '/etc/resolv.conf'
    }
    default : {
      fail("${::operatingsystem} is not supported")
    }
  }
}
# EOF
